Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
domain_pages
/
live
Domain Pages
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/domain_pages/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": "<string>",
  "limit": 123,
  "offset": 123,
  "internal_list_limit": 123,
  "backlinks_status_type": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "backlinks_filters": [
    "<string>"
  ],
  "include_subdomains": true,
  "exclude_internal_backlinks": true,
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.target": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.type": "<string>",
  "tasks.result.items.main_domain": "<string>",
  "tasks.result.items.domain": "<string>",
  "tasks.result.items.tld": "<string>",
  "tasks.result.items.page": "<string>",
  "tasks.result.items.ip": "<string>",
  "tasks.result.items.first_visited": "<string>",
  "tasks.result.items.prev_visited": "<string>",
  "tasks.result.items.fetch_time": "<string>",
  "tasks.result.items.status code": 123,
  "tasks.result.items.location": "<string>",
  "tasks.result.items.size": 123,
  "tasks.result.items.encoded_size": 123,
  "tasks.result.items.content_encoding": "<string>",
  "tasks.result.items.media_type": "<string>",
  "tasks.result.items.server": "<string>",
  "tasks.result.items.meta": {},
  "tasks.result.items.meta.title": "<string>",
  "tasks.result.items.meta.canonical": "<string>",
  "tasks.result.items.meta.internal_links_count": 123,
  "tasks.result.items.meta.external_links_count": 123,
  "tasks.result.items.meta.images_count": 123,
  "tasks.result.items.meta.words_count": 123,
  "tasks.result.items.meta.page_spam_score": 123,
  "tasks.result.items.meta.social_media_tags": {},
  "tasks.result.items.meta.h1": [
    "<string>"
  ],
  "tasks.result.items.meta.h2": [
    "<string>"
  ],
  "tasks.result.items.meta.h3": [
    "<string>"
  ],
  "tasks.result.items.meta.images_alt": [
    "<string>"
  ],
  "tasks.result.items.meta.powered_by": [
    "<string>"
  ],
  "tasks.result.items.meta.language": "<string>",
  "tasks.result.items.meta.charset": "<string>",
  "tasks.result.items.meta.platform_type": [
    "<string>"
  ],
  "tasks.result.items.meta.technologies": {},
  "tasks.result.items.meta.technologies.cms": "<string>",
  "tasks.result.items.meta.technologies.blogs": "<string>",
  "tasks.result.items.meta.technologies.cdn": "<string>",
  "tasks.result.items.page_summary": {},
  "tasks.result.items.page_summary.first_seen": "<string>",
  "tasks.result.items.page_summary.lost_date": "<string>",
  "tasks.result.items.page_summary.rank": 123,
  "tasks.result.items.page_summary.backlinks": 123,
  "tasks.result.items.page_summary.backlinks_spam_score": 123,
  "tasks.result.items.page_summary.broken_backlinks": 123,
  "tasks.result.items.page_summary.broken_pages": 123,
  "tasks.result.items.page_summary.referring_domains": 123,
  "tasks.result.items.page_summary.referring_domains_nofollow": 123,
  "tasks.result.items.page_summary.referring_main_domains": 123,
  "tasks.result.items.page_summary.referring_main_domains_nofollow": 123,
  "tasks.result.items.page_summary.referring ips": 123,
  "tasks.result.items.page_summary.referring subnets": 123,
  "tasks.result.items.page_summary.referring_pages": 123,
  "tasks.result.items.page_summary.referring_links_tld": {},
  "tasks.result.items.page_summary.referring_links_types": {},
  "tasks.result.items.page_summary.referring_links_attributes": {},
  "tasks.result.items.page_summary.referring_links_platform_types": {},
  "tasks.result.items.page_summary.referring_links_semantic_locations": {},
  "tasks.result.items.page_summary.referring_links_countries": {},
  "tasks.result.items.page_summary.referring_pages_nofollow": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
target
string
required

domain or subdomain required field a domain or a subdomain should be specified without https:// and www. example: forbes.com

limit
integer

the maximum number of returned pages optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned pages optional field default value: 0 if you specify the 10 value, the first ten pages in the results array will be omitted and the data will be provided for the successive pages

internal_list_limit
integer

maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: referring_links_tld referring_links_types referring_links_attributes referring_links_platform_types referring_links_semantic_locations default value: 10 maximum value: 1000

set what backlinks to return and count optional field you can use this field to choose what backlinks will be returned and used for aggregated metrics; possible values: all – all backlinks will be returned and counted; live – backlinks found during the last check will be returned and counted; lost – lost backlinks will be returned and counted; default value: live

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, =, , in, not_in, like, not_like, ilike, not_ilike, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["meta.internal_links_count",">","1"] [["meta.external_links_count",">","2"], "and", ["backlinks",">","10"]] [["first_visited",">","2017-10-23 11:31:45 +00:00"], "and", [["title","like","%seo%"],"or",["referring_domains",">","10"]]] The full list of possible filters is available here.

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting type example: ["page_summary.backlinks,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["page_summary.backlinks,desc","page_summary.rank,asc"]

filter the backlinks of your target optional field you can use this field to filter the initial backlinks that will be included in the dataset for aggregated metrics for your target you can filter the backlinks by all fields available in the response of this endpoint using this parameter, you can include only dofollow backlinks in the response and create a flexible backlinks dataset to calculate the metrics for example: "backlinks_filters": ["dofollow", "=", true]

include_subdomains
boolean

indicates if the subdomains of the target will be included in the search optional field if set to false, the subdomains will be ignored default value: true

indicates if internal backlinks from subdomains to the target will be excluded from the results optional field if set to true, the results will not include data on internal backlinks from subdomains of the same domain as target if set to false, internal links will be included in the results default value: true

rank_scale
string

defines the scale used for calculating and displaying the rank, domain_from_rank, and page_from_rank values optional field you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: one_hundred — rank values are displayed on a 0–100 scale one_thousand — rank values are displayed on a 0–1000 scale default value: one_thousand learn more about how this parameter works and how ranking metrics are calculated in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.target
string

target in a POST array

tasks.result.total_count
integer

total number of relevant items in the database

tasks.result.items_count
integer

number of items in the items array

tasks.result.items
string[]

items array

tasks.result.items.type
string

type of element = ‘backlinks_domain_page’

tasks.result.items.main_domain
string

main website domain main website domain does not include subdomains

tasks.result.items.domain
string

domain domain where the page was found

tasks.result.items.tld
string

top-level domain top-level domain in the DNS root zone

tasks.result.items.page
string

page URL relevant page URL

tasks.result.items.ip
string

Internet Protocol address

tasks.result.items.first_visited
string

date and time of the first page visit date and time when our crawler visited this page for the first time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2017-01-24 13:20:59 +00:00

tasks.result.items.prev_visited
string

previous to the most recent date when our crawler visited the page in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2017-01-24 13:20:59 +00:00

tasks.result.items.fetch_time
string

most recent date and time when our crawler visited the page in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2017-01-24 13:20:59 +00:00

tasks.result.items.status code
integer

HTTP status code of the page

tasks.result.items.location
string

location header indicates the URL to redirect a page to if exists

tasks.result.items.size
integer

indicates the page size, in bytes

tasks.result.items.encoded_size
integer

page size after encoding indicates the size of the encoded page, in bytes

tasks.result.items.content_encoding
string

type of encoding

tasks.result.items.media_type
string

types of media used to display a page

tasks.result.items.server
string

server version

tasks.result.items.meta
object

page meta data

tasks.result.items.meta.title
string

page title

tasks.result.items.meta.canonical
string

canonical page

number of internal links on the page

number of external links on the page

tasks.result.items.meta.images_count
integer

number of images on the page

tasks.result.items.meta.words_count
integer

number of words on the page

tasks.result.items.meta.page_spam_score
integer

spam score of the page learn more about how the metric is calculated on this help center page

tasks.result.items.meta.social_media_tags
object

array of social media tags found on the page contains social media tags and their content supported tags include but are not limited to Open Graph and Twitter card

tasks.result.items.meta.h1
string[]

h1 tag content of h1 tags

tasks.result.items.meta.h2
string[]

h2 tag content of h2 tags

tasks.result.items.meta.h3
string[]

h3 tag content of h3 tags

tasks.result.items.meta.images_alt
string[]

content of alt tags

tasks.result.items.meta.powered_by
string[]

CMS details

tasks.result.items.meta.language
string

page content language example: en

tasks.result.items.meta.charset
string

character encoding examples: utf-8

tasks.result.items.meta.platform_type
string[]

type of a platform

tasks.result.items.meta.technologies
object

website technologies

tasks.result.items.meta.technologies.cms
string

content management system

tasks.result.items.meta.technologies.blogs
string

blog management system

tasks.result.items.meta.technologies.cdn
string

content delivery network

tasks.result.items.page_summary
object

contains backlink data for this page

tasks.result.items.page_summary.first_seen
string

date and time when our crawler found the backlink for the first time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.page_summary.lost_date
string

date and time when the last backlink for this page was lost indicates the date and time when our crawler visited the page and it responded with 4xx or 5xx status code or the last backlink was removed in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2017-01-24 13:20:59 +00:00

tasks.result.items.page_summary.rank
integer

page rank rank of the page rank is calculated based on the method for node ranking in a linked database – a principle used in the original Google PageRank algorithm learn more about the metric and how it is calculated in this help center article

indicates the number of backlinks

average spam score of the backlinks pointing to the page learn more about how the metric is calculated on this help center page

number of broken backlinks number of broken backlinks pointing to the page

tasks.result.items.page_summary.broken_pages
integer

number of broken pages number of pages that respond with 4xx or 5xx status codes where backlinks are pointing to

tasks.result.items.page_summary.referring_domains
integer

indicates the number of referring domains

tasks.result.items.page_summary.referring_domains_nofollow
integer

number of domains pointing at least one nofollow link to the page

tasks.result.items.page_summary.referring_main_domains
integer

indicates the number of referring main domains

tasks.result.items.page_summary.referring_main_domains_nofollow
integer

number of main domains pointing at least one nofollow link to the page

tasks.result.items.page_summary.referring ips
integer

number of referring IP addresses number of IP addresses pointing to this page

tasks.result.items.page_summary.referring subnets
integer

number of referring subnetworks

tasks.result.items.page_summary.referring_pages
integer

indicates the number of pages pointing to the page

top-level domains of the referring links contains top level domains and referring link count per each

types of referring links indicates the types of the referring links and link count per each type possible values: anchor, image, link, meta, canonical, alternate, redirect

link attributes of the referring links indicates link attributes of the referring links and link count per each attribute

types of referring platforms indicates referring platform types and and link count per each platform possible values: cms, blogs, ecommerce, message-boards, wikis, news, organization

semantic locations of the referring links indicates semantic elements in HTML where the referring links are located and link count per each semantic location you can get the full list of semantic elements here examples: article, section, summary

ISO country codes of the referring links indicates ISO country codes of the domains where the referring links are located and the link count per each country

tasks.result.items.page_summary.referring_pages_nofollow
integer

number of referring pages pointing at least one nofollow link to the page